Interface CustomerRouteConfigurationClient
- All Superinterfaces:
Pageable<CustomerRouteConfiguration>
- All Known Implementing Classes:
CustomerRouteConfigurationClientImpl
Internal client for the Equinix Internet Access (EIA) v1 customer-route-configuration lookup:
GET /internetAccess/v1/customerRouteConfigurations - the allowed customer-route
configurations for a given use case, redundancy and routing-protocol type.-
Method Summary
Modifier and TypeMethodDescriptionlist(UseCase useCase, Redundancy type, RoutingProtocolType routingProtocolType) Methods inherited from interface Pageable
nextPageModifier and TypeMethodDescriptionnextPage(PaginatedRequest<CustomerRouteConfiguration> equinixRequest)
-
Method Details
-
list
Page<CustomerRouteConfigurationJson> list(UseCase useCase, Redundancy type, RoutingProtocolType routingProtocolType)
-